extends Scene


func _on_beach_at_river_delta_interacted() -> void:
	$kq4_025_beach_at_river_delta.default_script(self)


func _on_fishermans_shack_interacted() -> void:
	$kq4_007_fishermans_shack.default_script(self)


func _on_meadow_interacted() -> void:
	$kq4_002_meadow.default_script(self)


func _on_open_ocean_interacted() -> void:
	$kq4_031_open_ocean.default_script(self)


func _on_grass_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate(ego, "Lush green grass covers the cliff.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You find yourself on a beautiful beach.")
	).build(self, "_on_script_complete"))
